%define module  IO-Tty
%define name    perl-%{module}
%define version 1.07
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release} 
Summary:        Pseudo TTY object class
License:        GPL
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/IO/%{module}-%{version}.tar.bz2
BuildRequires:  perl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
The IO::Tty and IO::Pty modules provide an interface to pseudo tty's.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/IO
%{_mandir}/*/*

%changelog
* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2007.0
- New version 1.07

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2007.0
- New version 1.05

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2007.0
- New release 1.04

* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2007.0
- New release 1.03
- spec cleanup

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.02-11mdk
- Rebuild

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.02-10mdk
- rebuild for new perl

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.02-9mdk
- Own dir
- rebuild

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.02-8mdk
- fix build on amd64

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.02-7mdk
- rebuild for new perl
- use %%make macro
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-6mdk
- rebuild for new auto{prov,req}

* Tue Apr 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-5mdk
- fix buildrequires

* Tue Jan 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-4mdk
- better summary & description
- remove non existent doc

* Tue Aug  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.02-3mdk
- rebuild with new threaded perl

* Mon Jul 29 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.02-2mdk
- not all arches use i386-linux

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.02-1mdk
- 1.02

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.05-3mdk
- fix files section

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.05-2mdk
- rebuild with new perl

* Fri Mar 01 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.05-1mdk
- 0.05

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04-1mdk
- added by Max Heijndijk <cchq@wanadoo.nl> :
    - Initial wrap
